### Constructor

# Hex Widget new

#### Declaration

    GtkWidget*
    hex_widget_new (
      HexDocument* owner
    )

#### Description

Create a new `HexWidget` object.

#### Parameters

`owner`

  Type: `HexDocument`

  The `HexDocument` object to be associated with the newly created `HexWidget`.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

A newly created `HexWidget` object, or `NULL`.

The data is owned by the called function.